Functions
Functions
BLE Services » Cycling Speed and Cadence Service (CSCS) | BLE Services » Running Speed and Cadence Service (RSCS)
Collaboration diagram for Functions:

## Functions
sdk_err_t | cscs_service_init (cscs_init_t *p_cscs_init)
| Initialize a Cycling Speed and Cadence Service instance and add in the DB. More...
sdk_err_t | cscs_measurement_send (uint8_t conn_idx, cscs_meas_val_t *p_meas)
| Send CSC measurement if notification has been enabled. More...
sdk_err_t | cscs_ctrl_pt_rsp_send (uint8_t conn_idx, uint8_t *p_data, uint16_t length)
| Send SC Control Point responce if indication has been enabled. More...
sdk_err_t | cscs_sensor_loc_update (cscs_sensor_loc_t sensor_loc)
| Update Sensor Location if Multiple Sensor Locations Supported cscs_init_t::feature. More...
sdk_err_t | rscs_service_init (rscs_init_t *p_rscs_init)
| Initialize a Running Speed and Cadence Service instance and add in the DB. More...
sdk_err_t | rscs_measurement_send (uint8_t conn_idx, rscs_meas_val_t *p_meas)
| Send RSC measurement if notification has been enabled. More...
sdk_err_t | rscs_ctrl_pt_rsp_send (uint8_t conn_idx, uint8_t *p_data, uint16_t length)
| Send SC Control Point responce if indication has been enabled. More...
sdk_err_t | rscs_sensor_loc_update (rscs_sensor_loc_t sensor_loc)
| Update Sensor Location if Multiple Sensor Locations Supported rscs_init_t::feature. More...

## Detailed Description

## Function Documentation

## ◆ cscs_ctrl_pt_rsp_send()

sdk_err_t cscs_ctrl_pt_rsp_send | ( | uint8_t | conn_idx,
|  | uint8_t * | p_data,
|  | uint16_t | length
| ) |  |

Send SC Control Point responce if indication has been enabled.

Parameters

  [in] | conn_idx | Connnection index.
  [in] | p_data | Pointer to data.
  [in] | length | Length of data.

Returns
  Result of indicate value

## ◆ cscs_measurement_send()

sdk_err_t cscs_measurement_send | ( | uint8_t | conn_idx,
|  | cscs_meas_val_t * | p_meas
| ) |  |

Send CSC measurement if notification has been enabled.

Parameters

  [in] | conn_idx | Connnection index.
  [in] | p_meas | The pointer to new Cycling Speed and Cadence measurement.

Returns
  Result of notify value

## ◆ cscs_sensor_loc_update()

sdk_err_t cscs_sensor_loc_update | ( | cscs_sensor_loc_t | sensor_loc | ) |

Update Sensor Location if Multiple Sensor Locations Supported cscs_init_t::feature.

Parameters

  [in] | sensor_loc | New sensor location.

Returns
  Result of update.

## ◆ cscs_service_init()

sdk_err_t cscs_service_init | ( | cscs_init_t * | p_cscs_init | ) |

Initialize a Cycling Speed and Cadence Service instance and add in the DB.

Parameters

  [in] | p_cscs_init | Pointer to cscs_init_t Service initialization variable

Returns
  Result of service initialization.

## ◆ rscs_ctrl_pt_rsp_send()

sdk_err_t rscs_ctrl_pt_rsp_send | ( | uint8_t | conn_idx,
|  | uint8_t * | p_data,
|  | uint16_t | length
| ) |  |

Send SC Control Point responce if indication has been enabled.

Parameters

  [in] | conn_idx | Connnection index.
  [in] | p_data | Pointer to data.
  [in] | length | Length of data.

Returns
  Result of indicate value

## ◆ rscs_measurement_send()

sdk_err_t rscs_measurement_send | ( | uint8_t | conn_idx,
|  | rscs_meas_val_t * | p_meas
| ) |  |

Send RSC measurement if notification has been enabled.

Parameters

  [in] | conn_idx | Connnection index.
  [in] | p_meas | The pointer to new Running Speed and Cadence measurement.

Returns
  Result of notify value

## ◆ rscs_sensor_loc_update()

sdk_err_t rscs_sensor_loc_update | ( | rscs_sensor_loc_t | sensor_loc | ) |

Update Sensor Location if Multiple Sensor Locations Supported rscs_init_t::feature.

Parameters

  [in] | sensor_loc | New sensor location.

Returns
  Result of update.

## ◆ rscs_service_init()

sdk_err_t rscs_service_init | ( | rscs_init_t * | p_rscs_init | ) |

Initialize a Running Speed and Cadence Service instance and add in the DB.

Parameters

  [in] | p_rscs_init | Pointer to rscs_init_t Service initialization variable

Returns
  Result of service initialization.